﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace POS.UserControls
{
    public partial class NewOrder : UserControl
    {
        private string quantity;
        private string unitPrice;

        public NewOrder(string orderID, string customerName, string product, string totalCost, string quantity, string unitPrice)
        {
            InitializeComponent();

            OrderID.Text = orderID;
            CustomerName.Text = customerName;
            ProductName.Text = product;
            TotalDue.Text = Convert.ToString(totalCost);

            this.quantity = quantity;
            this.unitPrice = unitPrice;
        }

        private void ProceedBtn_Click(object sender, EventArgs e)
        {
            Control panel = ParentForm.Controls.Find("SummarySilder", true)[0];
            panel.Controls.Find("OrderId", true)[0].Text = OrderID.Text;
            panel.Controls.Find("FullnameLb", true)[0].Text = CustomerName.Text;
            panel.Controls.Find("ProductLb", true)[0].Text = ProductName.Text;
            panel.Controls.Find("TotalLb", true)[0].Text = TotalDue.Text;
            panel.Controls.Find("QuantityLb", true)[0].Text = "x " + quantity;
            panel.Controls.Find("UnitPriceLb", true)[0].Text = "$" + unitPrice;
            panel.Controls.Find("CheckoutBtn", true)[0].Text = $"Checkout total: ${TotalDue.Text} USD";
        }
    }
}
